
LABINVENT (InventIrap) - Evolution #2501
Actions # 4973 (Nouveau): ******* FEATURE/ AUTHENTIFICATION ET AUTORISATIONS (ACL) *******
ACL - rendre les autorisations configurables via une table de config dans la BD et un formulaire web 
permettant de le modifier
11/22/2014 04:14 pm - Etienne Pallier

Status: Nouveau Start date: 11/22/2014
Priority: Normal Due date:
Assignee: % Done: 0%
Category: AUTH (connexion et profils) Estimated time: 0.00 hour
Target version: version 2.9.x à 2.12.x (2018) - Divers Spent time: 0.00 hour
Description

Voir lien Google Doc : https://docs.google.com/document/d/1-OhEeoi96j6ueUl5NQCQ9ZsTfbJTFw3ZVaWU2iYly_o/edit?usp=sharing

Actuellement les ACL sont definies en dur dans le code.
Dans l'optique de deployer Labinvent dans d'autres labos, il faut qu'on soit plus generiques et plus configurables
pour définir les droits de chaque profil...

ENSUITE, il faudra ensuite créer une page web qui affiche dynamiquement un tableau de synthèse de tous ces droits selon le profil

History
#1 - 05/07/2017 06:12 pm - Etienne Pallier
- Subject changed from Gerer les ACL via la base de donnee (et non pas dans le code) to ACL - Rendre les ACLs configurables via BD
- Target version deleted (version 1.3)
- Parent task set to #4973

#2 - 05/09/2017 11:59 am - Etienne Pallier
- Subject changed from ACL - Rendre les ACLs configurables via BD to ACL - rendre les autorisations configurables via une table de config dans la BD 
et un formulaire web permettant de le modifier

#3 - 05/09/2017 03:25 pm - Etienne Pallier
- Description updated

#4 - 05/10/2017 11:10 am - Etienne Pallier
- File ACL_configurables v5.pdf added

#5 - 05/10/2017 12:06 pm - Etienne Pallier
- File deleted (ACL_configurables v5.pdf)

#6 - 05/10/2017 12:06 pm - Etienne Pallier
- File ACL_configurables v5.pdf added

#7 - 05/11/2017 04:53 pm - Etienne Pallier
- File deleted (ACL_configurables v5.pdf)

#8 - 05/11/2017 04:54 pm - Etienne Pallier
- Description updated

#9 - 07/24/2018 03:57 pm - Anonymous
- Category set to AUTH (connexion et profils)
#10 - 12/23/2018 05:05 pm - Etienne Pallier
- Target version set to version 2.9.x à 2.12.x (2018) - Divers
